Index: pjproject/trunk/pjnath/src/pjstun-srv-test/turn_usage.c
===================================================================
--- pjproject/trunk/pjnath/src/pjstun-srv-test/turn_usage.c	(revision 1404)
+++ pjproject/trunk/pjnath/src/pjstun-srv-test/turn_usage.c	(revision 1405)
@@ -160,5 +160,5 @@
     pj_status_t status;
 
-    PJ_ASSERT_RETURN(srv && (type==PJ_SOCK_DGRAM||type==PJ_SOCK_STREAM),
+    PJ_ASSERT_RETURN(srv && (type==pj_SOCK_DGRAM()||type==pj_SOCK_STREAM()),
 		     PJ_EINVAL);
     si = pj_stun_server_get_info(srv);
@@ -186,5 +186,5 @@
     usage_cb.on_destroy = &tu_on_destroy;
     status = pj_stun_usage_create(srv, "turn%p", &usage_cb,
-				  PJ_AF_INET, tu->type, 0,
+				  pj_AF_INET(), tu->type, 0,
 				  &local_addr, sizeof(local_addr),
 				  &tu->usage);
@@ -298,5 +298,5 @@
     /* STUN message decoding flag */
     flags = 0;
-    if (tu->type == PJ_SOCK_DGRAM)
+    if (tu->type == pj_SOCK_DGRAM())
 	flags |= PJ_STUN_IS_DATAGRAM;
     
@@ -362,5 +362,5 @@
 
 	/* Allocate specific port */
-	status = pj_sock_socket(PJ_AF_INET, type, 0, &sock);
+	status = pj_sock_socket(pj_AF_INET(), type, 0, &sock);
 	if (status != PJ_SUCCESS)
 	    return status;
@@ -401,5 +401,5 @@
 	    }
 
-	    status = pj_sock_socket(PJ_AF_INET, type, 0, &sock);
+	    status = pj_sock_socket(pj_AF_INET(), type, 0, &sock);
 	    if (status != PJ_SUCCESS)
 		return status;
@@ -511,5 +511,5 @@
     sd = (struct session_data*) pj_stun_session_get_user_data(sess);
 
-    if (sd->tu->type == PJ_SOCK_DGRAM) {
+    if (sd->tu->type == pj_SOCK_DGRAM()) {
 	return pj_stun_usage_sendto(sd->tu->usage, pkt, pkt_size, 0,
 				    dst_addr, addr_len);
@@ -547,7 +547,7 @@
 static const char *get_tp_type(int type)
 {
-    if (type==PJ_SOCK_DGRAM)
+    if (type==pj_SOCK_DGRAM())
 	return "udp";
-    else if (type==PJ_SOCK_STREAM)
+    else if (type==pj_SOCK_STREAM())
 	return "tcp";
     else
@@ -595,5 +595,5 @@
     sd = (struct session_data*) pj_stun_session_get_user_data(sess);
 
-    if (sd->tu->type == PJ_SOCK_DGRAM) {
+    if (sd->tu->type == pj_SOCK_DGRAM()) {
 	return pj_stun_usage_sendto(sd->tu->usage, pkt, pkt_size, 0,
 				    dst_addr, addr_len);
@@ -952,5 +952,5 @@
 	return PJ_SUCCESS;
     } else if (a_rt) {
-	client->sock_type = a_rt->value ? PJ_SOCK_STREAM : PJ_SOCK_DGRAM;
+	client->sock_type = a_rt->value ? pj_SOCK_STREAM() : pj_SOCK_DGRAM();
     } else {
 	client->sock_type = client->tu->type;;
@@ -958,5 +958,5 @@
 
     /* Process REQUESTED-IP attribute */
-    if (a_rip && a_rip->sockaddr.addr.sa_family != PJ_AF_INET) {
+    if (a_rip && a_rip->sockaddr.addr.sa_family != pj_AF_INET()) {
 	client_respond(client, msg, PJ_STUN_SC_INVALID_IP_ADDR, NULL,
 		       src_addr, src_addr_len);
@@ -1131,5 +1131,5 @@
 	client->active_peer = NULL;
 
-    } else if (a_raddr->sockaddr.addr.sa_family != PJ_AF_INET) {
+    } else if (a_raddr->sockaddr.addr.sa_family != pj_AF_INET()) {
 	/* Bad request (not IPv4) */
 	client_respond(client, msg, PJ_STUN_SC_BAD_REQUEST, NULL,
@@ -1197,5 +1197,5 @@
 	return PJ_SUCCESS;
 
-    } else if (a_raddr->sockaddr.addr.sa_family != PJ_AF_INET) {
+    } else if (a_raddr->sockaddr.addr.sa_family != pj_AF_INET()) {
 	/* REMOTE-ADDRESS present but not IPv4, discard packet */
 	return PJ_SUCCESS;
@@ -1210,5 +1210,5 @@
 	datalen = a_data->length;
 
-    } else if (client->sock_type == PJ_SOCK_STREAM) {
+    } else if (client->sock_type == pj_SOCK_STREAM()) {
 	/* Discard if no Data and Allocation type is TCP */
 	return PJ_SUCCESS;
Index: pjproject/trunk/pjsip-apps/src/samples/invtester.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/invtester.c	(revision 1404)
+++ pjproject/trunk/pjsip-apps/src/samples/invtester.c	(revision 1405)
@@ -226,5 +226,5 @@
 	pj_sockaddr_in addr;
 
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons(PORT);
Index: pjproject/trunk/pjsip-apps/src/samples/pjsip-perf.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/pjsip-perf.c	(revision 1404)
+++ pjproject/trunk/pjsip-apps/src/samples/pjsip-perf.c	(revision 1405)
@@ -761,5 +761,5 @@
 
 	pj_bzero(&addr, sizeof(addr));
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons((pj_uint16_t)app.local_port);
Index: pjproject/trunk/pjsip-apps/src/samples/proxy.h
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/proxy.h	(revision 1404)
+++ pjproject/trunk/pjsip-apps/src/samples/proxy.h	(revision 1405)
@@ -213,5 +213,5 @@
 	pj_sockaddr_in addr;
 
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons((pj_uint16_t)global.port);
Index: pjproject/trunk/pjsip-apps/src/samples/simpleua.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/simpleua.c	(revision 1404)
+++ pjproject/trunk/pjsip-apps/src/samples/simpleua.c	(revision 1405)
@@ -182,5 +182,5 @@
 	pj_sockaddr_in addr;
 
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons(5060);
Index: pjproject/trunk/pjsip-apps/src/samples/siprtp.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/siprtp.c	(revision 1404)
+++ pjproject/trunk/pjsip-apps/src/samples/siprtp.c	(revision 1405)
@@ -306,5 +306,5 @@
 
 	pj_bzero(&addr, sizeof(addr));
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons((pj_uint16_t)app.sip_port);
Index: pjproject/trunk/pjsip-apps/src/samples/sipstateless.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/sipstateless.c	(revision 1404)
+++ pjproject/trunk/pjsip-apps/src/samples/sipstateless.c	(revision 1405)
@@ -129,5 +129,5 @@
 	pj_sockaddr_in addr;
 
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons(5060);
@@ -149,5 +149,5 @@
 	pj_sockaddr_in addr;
 
-	addr.sin_family = PJ_AF_INET;
+	addr.sin_family = pj_AF_INET();
 	addr.sin_addr.s_addr = 0;
 	addr.sin_port = pj_htons(5060);
Index: pjproject/trunk/pjsip/src/pjsip/sip_transport.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsip/sip_transport.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsip/sip_transport.c	(revision 1405)
@@ -561,5 +561,5 @@
     pj_memcpy(&tdata->tp_info.dst_addr, addr, addr_len);
     tdata->tp_info.dst_addr_len = addr_len;
-    if (((pj_sockaddr*)addr)->addr.sa_family == PJ_AF_INET) {
+    if (((pj_sockaddr*)addr)->addr.sa_family == pj_AF_INET()) {
 	const char *str_addr;
 	str_addr = pj_inet_ntoa(((pj_sockaddr_in*)addr)->sin_addr);
@@ -1472,10 +1472,10 @@
 	     */
 	    else if ((flag & PJSIP_TRANSPORT_DATAGRAM) && 
-		     (remote_addr->addr.sa_family == PJ_AF_INET)) 
+		     (remote_addr->addr.sa_family == pj_AF_INET())) 
 	    {
 		pj_sockaddr_in *addr = (pj_sockaddr_in*)&key.rem_addr;
 
 		pj_bzero(addr, sizeof(pj_sockaddr_in));
-		addr->sin_family = PJ_AF_INET;
+		addr->sin_family = pj_AF_INET();
 
 		key_len = sizeof(key.type) + sizeof(pj_sockaddr_in);
Index: pjproject/trunk/pjsip/src/pjsip/sip_transport_loop.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsip/sip_transport_loop.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsip/sip_transport_loop.c	(revision 1405)
@@ -368,5 +368,5 @@
 	goto on_error;
     loop->base.key.type = PJSIP_TRANSPORT_LOOP_DGRAM;
-    //loop->base.key.rem_addr.sa_family = PJ_AF_INET;
+    //loop->base.key.rem_addr.sa_family = pj_AF_INET();
     loop->base.type_name = "LOOP-DGRAM";
     loop->base.info = "LOOP-DGRAM";
Index: pjproject/trunk/pjsip/src/pjsip/sip_transport_tcp.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsip/sip_transport_tcp.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsip/sip_transport_tcp.c	(revision 1405)
@@ -240,5 +240,6 @@
 
     /* Create and bind socket */
-    status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_STREAM, 0, &listener->sock);
+    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_STREAM(), 0, 
+			    &listener->sock);
     if (status != PJ_SUCCESS)
 	goto on_error;
@@ -788,5 +789,5 @@
 
     /* Check that address is a sockaddr_in */
-    PJ_ASSERT_RETURN(rem_addr->addr.sa_family == PJ_AF_INET &&
+    PJ_ASSERT_RETURN(rem_addr->addr.sa_family == pj_AF_INET() &&
 		     addr_len == sizeof(pj_sockaddr_in), PJ_EINVAL);
 
@@ -796,5 +797,5 @@
     
     /* Create socket */
-    status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_STREAM, 0, &sock);
+    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_STREAM(), 0, &sock);
     if (status != PJ_SUCCESS)
 	return status;
Index: pjproject/trunk/pjsip/src/pjsip/sip_transport_tls_ossl.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsip/sip_transport_tls_ossl.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsip/sip_transport_tls_ossl.c	(revision 1405)
@@ -938,5 +938,5 @@
 
     /* Create and bind socket */
-    status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_STREAM, 0, &listener->sock);
+    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_STREAM(), 0, &listener->sock);
     if (status != PJ_SUCCESS)
 	goto on_error;
@@ -1527,5 +1527,5 @@
 
     /* Check that address is a sockaddr_in */
-    PJ_ASSERT_RETURN(rem_addr->addr.sa_family == PJ_AF_INET &&
+    PJ_ASSERT_RETURN(rem_addr->addr.sa_family == pj_AF_INET() &&
 		     addr_len == sizeof(pj_sockaddr_in), PJ_EINVAL);
 
@@ -1535,5 +1535,5 @@
     
     /* Create socket */
-    status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_STREAM, 0, &sock);
+    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_STREAM(), 0, &sock);
     if (status != PJ_SUCCESS)
 	return status;
Index: pjproject/trunk/pjsip/src/pjsip/sip_transport_udp.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsip/sip_transport_udp.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsip/sip_transport_udp.c	(revision 1405)
@@ -420,5 +420,5 @@
     pj_status_t status;
 
-    status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_DGRAM, 0, &sock);
+    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_DGRAM(), 0, &sock);
     if (status != PJ_SUCCESS)
 	return status;
@@ -509,5 +509,5 @@
     /* Adjust socket rcvbuf size */
     sobuf_size = PJSIP_UDP_SO_RCVBUF_SIZE;
-    status = pj_sock_setsockopt(sock, PJ_SOL_SOCKET, PJ_SO_RCVBUF,
+    status = pj_sock_setsockopt(sock, pj_SOL_SOCKET(), pj_SO_RCVBUF(),
 				&sobuf_size, sizeof(sobuf_size));
     if (status != PJ_SUCCESS) {
@@ -520,5 +520,5 @@
     /* Adjust socket sndbuf size */
     sobuf_size = PJSIP_UDP_SO_SNDBUF_SIZE;
-    status = pj_sock_setsockopt(sock, PJ_SOL_SOCKET, PJ_SO_SNDBUF,
+    status = pj_sock_setsockopt(sock, pj_SOL_SOCKET(), pj_SO_SNDBUF(),
 				&sobuf_size, sizeof(sobuf_size));
     if (status != PJ_SUCCESS) {
@@ -640,5 +640,5 @@
 
     /* Remote address is left zero (except the family) */
-    tp->base.key.rem_addr.addr.sa_family = PJ_AF_INET;
+    tp->base.key.rem_addr.addr.sa_family = pj_AF_INET();
 
     /* Type name. */
Index: pjproject/trunk/pjsip/src/pjsua-lib/pjsua_core.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsua-lib/pjsua_core.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsua-lib/pjsua_core.c	(revision 1405)
@@ -1081,5 +1081,5 @@
     }
 
-    status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_DGRAM, 0, &sock);
+    status = pj_sock_socket(pj_AF_INET(), pj_SOCK_DGRAM(), 0, &sock);
     if (status != PJ_SUCCESS) {
 	pjsua_perror(THIS_FILE, "socket() error", status);
@@ -1152,5 +1152,5 @@
 	}
 
-	p_pub_addr->sin_family = PJ_AF_INET;
+	p_pub_addr->sin_family = pj_AF_INET();
 	p_pub_addr->sin_port = pj_htons((pj_uint16_t)port);
     }
Index: pjproject/trunk/pjsip/src/pjsua-lib/pjsua_media.c
===================================================================
--- pjproject/trunk/pjsip/src/pjsua-lib/pjsua_media.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/pjsua-lib/pjsua_media.c	(revision 1405)
@@ -244,5 +244,5 @@
 
 	/* Create and bind RTP socket. */
-	status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_DGRAM, 0, &sock[0]);
+	status = pj_sock_socket(pj_AF_INET(), pj_SOCK_DGRAM(), 0, &sock[0]);
 	if (status != PJ_SUCCESS) {
 	    pjsua_perror(THIS_FILE, "socket() error", status);
@@ -259,5 +259,5 @@
 
 	/* Create and bind RTCP socket. */
-	status = pj_sock_socket(PJ_AF_INET, PJ_SOCK_DGRAM, 0, &sock[1]);
+	status = pj_sock_socket(pj_AF_INET(), pj_SOCK_DGRAM(), 0, &sock[1]);
 	if (status != PJ_SUCCESS) {
 	    pjsua_perror(THIS_FILE, "socket() error", status);
Index: pjproject/trunk/pjsip/src/test-pjsip/dns_test.c
===================================================================
--- pjproject/trunk/pjsip/src/test-pjsip/dns_test.c	(revision 1404)
+++ pjproject/trunk/pjsip/src/test-pjsip/dns_test.c	(revision 1405)
@@ -484,5 +484,5 @@
 
     a = (pj_sockaddr_in *)&r->entry[r->count].addr;
-    a->sin_family = PJ_AF_INET;
+    a->sin_family = pj_AF_INET();
     tmp = pj_str(addr);
     a->sin_addr = pj_inet_addr(&tmp);
